schema: 1

bugzilla:
  product: "Toolkit"
  component: "Gecko Trace"

origin:
  name: opentelemetry-cpp
  description: The OpenTelemetry C++ Client
  url: https://opentelemetry.io/

  release: v1.18.0 (2024-11-26T00:19:04+01:00).
  revision: v1.18.0

  license: Apache-2.0
  license-file: LICENSE

vendoring:
  url: https://github.com/open-telemetry/opentelemetry-cpp
  source-hosting: github
  tracking: tag

  exclude:
   - "**"

  include:
   - CHANGELOG.md
   - LICENSE
   - README.md
   - api/include/opentelemetry/*.h
   - api/include/opentelemetry/common/*.h
   - api/include/opentelemetry/context/*.h
   - api/include/opentelemetry/detail/*.h
   - api/include/opentelemetry/nostd/*.h
   - api/include/opentelemetry/semconv/incubating/process_attributes.h
   - api/include/opentelemetry/semconv/service_attributes.h
   - api/include/opentelemetry/semconv/telemetry_attributes.h
   - api/include/opentelemetry/std/*.h
   - api/include/opentelemetry/trace/*.h
   - exporters/ostream/include/opentelemetry/exporters/ostream/common_utils.h
   - exporters/ostream/include/opentelemetry/exporters/ostream/span_exporter.h
   - exporters/ostream/include/opentelemetry/exporters/ostream/span_exporter_factory.h
   - exporters/ostream/src/span_exporter.cc
   - exporters/ostream/src/span_exporter_factory.cc
   - sdk/include/opentelemetry/*.h
   - sdk/include/opentelemetry/sdk/common/*.h
   - sdk/include/opentelemetry/sdk/instrumentationscope/*.h
   - sdk/include/opentelemetry/sdk/resource/*.h
   - sdk/include/opentelemetry/sdk/trace/*.h
   - sdk/include/opentelemetry/sdk/trace/samplers/always_on.h
   - sdk/include/opentelemetry/sdk/trace/samplers/always_on_factory.h
   - sdk/include/opentelemetry/sdk/version/*.h
   - sdk/src/common/**/*.cc
   - sdk/src/common/**/*.h
   - sdk/src/resource/*.cc
   - sdk/src/trace/*.cc
   - sdk/src/trace/*.h
   - sdk/src/trace/samplers/always_on_factory.cc
   - sdk/src/version/*.cc

  keep:
   - opentelemetry-config.mozbuild

  patches:
   - patches/fix-ambiguous-holds_alternative.patch # Maybe we should upstream this
   - patches/remove-non-vendored-context_value-variant.patch

updatebot:
  maintainer-phab: mvanstraten
  maintainer-bz: mvanstraten@mozilla.com
  tasks:
   - type: vendoring
     enabled: true
     frequency: release
